<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "../../src/dtd/ccm/softpkg.dtd">

<softpkg name="Producer" version="2,0">
  <title>Producer</title>
  <pkgtype>CORBA Component</pkgtype>
  <author>
    <name>Philippe Merle</name>
    <name>Mathieu Vadet</name>
    <company>LIFL</company>
    <webpage href="http://corbaweb.lifl.fr/OpenCCM/"/>
  </author>
  <description>Illustrating a simple producer/consumers application</description>
  <license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
  <idl id="IDL:demo2/Producer:1.0">
    <link href="../demo2.idl3"></link>
  </idl>
  <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/producer.ccd"/>
  </descriptor>

  <implementation id="ProducerImpl">
    <os name="WinNT" version="4,0,0,0"/>
    <os name="Linux" version="2,2,17,0"/>
    <processor name="x86"/>
    <compiler name="JDK"/>
    <programminglanguage name="Java"/>
    <dependency type="ORB" action="assert">
      <name>OpenORB</name>
    </dependency>
    <code type="Java class">
      <fileinarchive name="archives/demo2.jar"/>
      <entrypoint>org.objectweb.ccm.demo2.ProducerHomeImpl.create_home</entrypoint>
    </code>
    <runtime name="Java VM" version="1,2,2,0"/>
    <runtime name="Java VM" version="1,3,0,0"/>
  </implementation>
</softpkg>

